Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.meta
Class ClasspathMetaDataIterator

    java.lang.Object
      org.apache.openjpa.lib.meta.MetaDataIteratorChain
          org.apache.openjpa.lib.meta.ClasspathMetaDataIterator

All Implemented Interfaces:
  MetaDataIterator, Closeable

    public class ClasspathMetaDataIterator

extends MetaDataIteratorChain

Iterator over directories in the classpath.

Author:
  Abe White

Constructor Summary
`ClasspathMetaDataIterator()` Default constructor; iterates over all classpath elements.
`ClasspathMetaDataIterator(String[] dirs, MetaDataFilter filter)` Constructor; supply the classpath directories to scan and an optional resource filter.

Method Summary

Methods inherited from class org.apache.openjpa.lib.meta.MetaDataIteratorChain
`addIterator, close, getFile, getInputStream, hasNext, next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClasspathMetaDataIterator

    public ClasspathMetaDataIterator()
                              throws IOException

  Default constructor; iterates over all classpath elements.

  Throws:
    `IOException`

### ClasspathMetaDataIterator

    public ClasspathMetaDataIterator(String[] dirs,
                                     MetaDataFilter filter)
                              throws IOException

  Constructor; supply the classpath directories to scan and an optional resource filter. The given directories may be null to scan all classpath directories.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.